> For the complete documentation index, see [llms.txt](https://docs.360dialog.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.360dialog.com/docs/guides/business-account-locked.md).

# Business account locked

This page describes how to solve the "Business account has been locked" error.

For various reasons, such as a WhatsApp Business Account (WABA) being temporarily restricted and later reinstated, a *Business Account locked* error may still occur when sending messages.

```json
"error": {
        "message": "(#131031) Business Account locked",
        "type": "OAuthException",
        "code": 131031,
        "error_data": {
            "messaging_product": "whatsapp",
            "details": "Business account has been locked."
        },
        "error_subcode": ...,
        "fbtrace_id": "x"
    }
}
```

### How to solve the issue

To resolve the issue, disable two-step verification (2FA) on the affected phone number, re-register the number and then enable 2FA again after registration is completed.

{% stepper %}
{% step %}

#### Disable 2FA

[Disable two-step verification](#disable-2fa) (2FA) on the affected phone number in WhatsApp Manager.&#x20;
{% endstep %}

{% step %}

#### Re-register the number&#x20;

Re-register the number by completing the Embedded Signup flow and selecting the existing WABA and the same phone number. Ensure the existing WABA and phone number are selected instead of creating a new WABA or registering a new number.
{% endstep %}

{% step %}

#### Re-enable 2FA

Re-enable 2FA after the number has been re-registered in WhatsApp Manager.
{% endstep %}
{% endstepper %}

Finally, perform [a health check](/docs/messaging/health-status.md) on the phone number to confirm it is in a connected status and that no restrictions are reported.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.360dialog.com/docs/guides/business-account-locked.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
